<div
  class="todo-item d-flex justify-content-between align-items-center"
  (click)="goToDetails(item.id); $event.stopPropagation()"
>
  <div class="todo-item_name">
    <label
      class="checkbox_container"
      [class.lineThrough]="item.complete"
      (click)="$event.stopPropagation()"
    >
      {{ item?.title }}
      <input
        type="checkbox"
        [checked]="item.checked"
        (change)="onChange(item)"
      />
      <span class="checkmark"></span>
    </label>
  </div>
  <div class="todo-item_actions">
    <button class="delete" (click)="deleteItem($event, item.id)">
      <img src="./../../../assets/icons/delete_white.svg" alt="" />
    </button>
    <button class="done" (click)="markAsDone($event, item)">
      <img src="./../../../assets/icons/tick-1.svg" alt="" />
    </button>
  </div>
</div>
